from Wallet import Wallet
from Warehouse import Warehouse

''' It personifies an investor that takes decisions when live() method is invoked.
It uses a wallet, and takes decisions using the information in the wallet and
perating in the wallet. It will be extended with different classes.
REMEMBER to assign a wallet before using each investor'''


# Simple Investor based on comparison between moving average and price
class Investor:
	def live(self):
		price = self.wallet.priceBc()
		mm = self.wallet.movMean()
		if price < mm-10:
			self.wallet.toBc()
		elif price > mm + 10:
			self.wallet.toUsd()


# Investor based on the inclination of moving average
class InvestorTrendMM:
	def live(self):
		trendMM = self.wallet.movMean()-self.wallet.prevMovMean(300)
		if trendMM < -10:
			self.wallet.toUsd()
		elif trendMM > 10:
			self.wallet.toBc()

