from Wallet import Wallet
from Warehouse import Warehouse
from Investor import Investor, InvestorTrendMM
from Simulator import Simulator

## ------ Main used for debugging  ------------
init = 40000
seriesSize = 10000
winSizeMM = 1000
initialUsd = 3600

# Create Warehouse
wh = Warehouse();
wh.retrieveSeries(init, seriesSize,winSizeMM)
#wh.plot()
# Create Wallet
wallet = Wallet(wh, initialUsd)
#investor = Investor(wallet)
investor = InvestorTrendMM(wallet)
sim = Simulator(investor)
sim.run()
sim.plot()


#w.toBc()
#w.toUsd()
#print (w.toStr())